# Get Attachment (/api-reference/get-attachment-2)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 872 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# Get Attachment

`GET /v0/inboxes/{inbox_id}/threads/{thread_id}/attachments/{attachment_id}`

Get Attachment

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "inboxesInboxId",
        "type": "string",
        "description": "ID of inbox."
      }
    },
    {
      "name": "thread_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "ThreadId",
        "type": "string",
        "description": "ID of thread."
      }
    },
    {
      "name": "attachment_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "AttachmentId",
        "type": "string",
        "description": "ID of attachment."
      }
    }
  ],
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "AttachmentResponse",
            "type": "object",
            "properties": {
              "attachment_id": {
                "title": "AttachmentId",
                "type": "string",
                "description": "ID of attachment."
              },
              "filename": {
                "title": "AttachmentFilename",
                "type": "string",
                "description": "Filename of attachment."
              },
              "size": {
                "title": "AttachmentSize",
                "type": "integer",
                "description": "Size of attachment in bytes."
              },
              "content_type": {
                "title": "AttachmentContentType",
                "type": "string",
                "description": "Content type of attachment."
              },
              "content_disposition": {
                "title": "AttachmentContentDisposition",
                "type": "string",
                "enum": [
                  "inline",
                  "attachment"
                ],
                "description": "Content disposition of attachment."
              },
              "content_id": {
                "title": "AttachmentContentId",
                "type": "string",
                "description": "Content ID of attachment."
              },
              "download_url": {
                "type": "string",
                "description": "URL to download the attachment."
              },
              "expires_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which the download URL expires."
              }
            },
            "required": [
              "attachment_id",
              "size",
              "download_url",
              "expires_at"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
